# -*- encoding: utf-8 -*-
# stub: rbnacl 7.1.2 ruby lib

Gem::Specification.new do |s|
  s.name = "rbnacl".freeze
  s.version = "7.1.2".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/RubyCrypto/rbnacl/issues", "changelog_uri" => "https://github.com/RubyCrypto/rbnacl/blob/master/CHANGES.md", "documentation_uri" => "https://www.rubydoc.info/gems/rbnacl/7.1.2", "source_code_uri" => "https://github.com/RubyCrypto/rbnacl/tree/v7.1.2", "wiki_uri" => "https://github.com/RubyCrypto/rbnacl/wiki" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tony Arcieri".freeze, "Jonathan Stott".freeze]
  s.date = "2025-04-07"
  s.description = "The Networking and Cryptography (NaCl) library provides a high-level toolkit for building cryptographic systems and protocols".freeze
  s.email = ["bascule@gmail.com".freeze, "jonathan.stott@gmail.com".freeze]
  s.files = ["CHANGES.md".freeze, "Gemfile".freeze, "Guardfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "images".freeze, "lib".freeze, "lib/rbnacl".freeze, "lib/rbnacl.rb".freeze, "lib/rbnacl/aead".freeze, "lib/rbnacl/aead/base.rb".freeze, "lib/rbnacl/aead/chacha20poly1305_ietf.rb".freeze, "lib/rbnacl/aead/chacha20poly1305_legacy.rb".freeze, "lib/rbnacl/aead/xchacha20poly1305_ietf.rb".freeze, "lib/rbnacl/auth.rb".freeze, "lib/rbnacl/boxes".freeze, "lib/rbnacl/boxes/curve25519xsalsa20poly1305".freeze, "lib/rbnacl/boxes/curve25519xsalsa20poly1305.rb".freeze, "lib/rbnacl/boxes/curve25519xsalsa20poly1305/private_key.rb".freeze, "lib/rbnacl/boxes/curve25519xsalsa20poly1305/public_key.rb".freeze, "lib/rbnacl/boxes/sealed.rb".freeze, "lib/rbnacl/group_elements".freeze, "lib/rbnacl/group_elements/curve25519.rb".freeze, "lib/rbnacl/hash".freeze, "lib/rbnacl/hash.rb".freeze, "lib/rbnacl/hash/blake2b.rb".freeze, "lib/rbnacl/hash/sha256.rb".freeze, "lib/rbnacl/hash/sha512.rb".freeze, "lib/rbnacl/hmac".freeze, "lib/rbnacl/hmac/sha256.rb".freeze, "lib/rbnacl/hmac/sha512.rb".freeze, "lib/rbnacl/hmac/sha512256.rb".freeze, "lib/rbnacl/init.rb".freeze, "lib/rbnacl/key_comparator.rb".freeze, "lib/rbnacl/one_time_auths".freeze, "lib/rbnacl/one_time_auths/poly1305.rb".freeze, "lib/rbnacl/password_hash".freeze, "lib/rbnacl/password_hash.rb".freeze, "lib/rbnacl/password_hash/argon2.rb".freeze, "lib/rbnacl/password_hash/scrypt.rb".freeze, "lib/rbnacl/random.rb".freeze, "lib/rbnacl/secret_boxes".freeze, "lib/rbnacl/secret_boxes/xsalsa20poly1305.rb".freeze, "lib/rbnacl/self_test.rb".freeze, "lib/rbnacl/serializable.rb".freeze, "lib/rbnacl/signatures".freeze, "lib/rbnacl/signatures/ed25519".freeze, "lib/rbnacl/signatures/ed25519.rb".freeze, "lib/rbnacl/signatures/ed25519/signing_key.rb".freeze, "lib/rbnacl/signatures/ed25519/verify_key.rb".freeze, "lib/rbnacl/simple_box.rb".freeze, "lib/rbnacl/sodium".freeze, "lib/rbnacl/sodium.rb".freeze, "lib/rbnacl/sodium/version.rb".freeze, "lib/rbnacl/test_vectors.rb".freeze, "lib/rbnacl/util.rb".freeze, "lib/rbnacl/version.rb".freeze, "rbnacl.gemspec".freeze, "spec".freeze, "tasks".freeze]
  s.homepage = "https://github.com/RubyCrypto/rbnacl".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.0".freeze)
  s.rubygems_version = "3.4.22".freeze
  s.summary = "Ruby binding to the libsodium/NaCl cryptography library".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<ffi>.freeze, ["~> 1".freeze])
  s.add_development_dependency(%q<bundler>.freeze, ["~> 2".freeze])
end
